zenilib: zenilib/jni/external/zlib/gzlib.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
gzlib.c File Reference
`#include "gzguts.h"`

Go to the source code of this file.

## Macros

#define | LSEEK lseek

## Functions

void ZLIB_INTERNAL | gz_error (gz_statep state, int err, const char *msg)
unsigned ZLIB_INTERNAL | gz_intmax ()
local gzFile | gz_open (char *path, int fd, const char *mode) const
local void | gz_reset (gz_statep state)
int ZEXPORT | gzbuffer (gzFile file, unsigned size)
void ZEXPORT | gzclearerr (gzFile file)
gzFile ZEXPORT | gzdopen (int fd, const char *mode)
int ZEXPORT | gzeof (gzFile file)
const char *ZEXPORT | gzerror (gzFile file, int *errnum)
z_off_t ZEXPORT | gzoffset (gzFile file)
z_off64_t ZEXPORT | gzoffset64 (gzFile file)
gzFile ZEXPORT | gzopen (char *path, const char *mode) const
gzFile ZEXPORT | gzopen64 (char *path, const char *mode) const
int ZEXPORT | gzrewind (gzFile file)
z_off_t ZEXPORT | gzseek (gzFile file, z_off_t offset, int whence)
z_off64_t ZEXPORT | gzseek64 (gzFile file, z_off64_t offset, int whence)
z_off_t ZEXPORT | gztell (gzFile file)
z_off64_t ZEXPORT | gztell64 (gzFile file)
local void gz_reset | OF ((gz_statep))
local gzFile gz_open | OF ((const char *, int, const char *))

## Macro Definition Documentation

#define LSEEK lseek

Definition at line 11 of file gzlib.c.

Referenced by gz_open(), gzoffset64(), gzrewind(), and gzseek64().

## Function Documentation

void ZLIB_INTERNAL gz_error | ( | gz_statep | state,
|  | int | err,
|  | const char * | msg
| ) |  |

Definition at line 485 of file gzlib.c.

References free, malloc, NULL, and Z_MEM_ERROR.

Referenced by gz_comp(), gz_decomp(), gz_head(), gz_init(), gz_load(), gz_reset(), gzclearerr(), gzclose_r(), gzclose_w(), gzread(), gzseek64(), gzungetc(), and gzwrite().

unsigned ZLIB_INTERNAL gz_intmax | ( |  | ) |

Definition at line 525 of file gzlib.c.

local gzFile gz_open | ( | char * | path,
|  | int | fd,
|  | const char * | mode
| ) |  | const

Definition at line 87 of file gzlib.c.

References free, GZ_APPEND, GZ_NONE, GZ_READ, gz_reset(), GZ_WRITE, GZBUFSIZE, LSEEK, malloc, NULL, SEEK_CUR, Z_DEFAULT_COMPRESSION, Z_DEFAULT_STRATEGY, Z_FILTERED, Z_FIXED, Z_HUFFMAN_ONLY, and Z_RLE.

local void gz_reset | ( | gz_statep | state | ) |

Definition at line 71 of file gzlib.c.

References gz_error(), GZ_READ, LOOK, NULL, and Z_OK.

Referenced by gz_open(), and gzrewind().

int ZEXPORT gzbuffer | ( | gzFile | file,
|  | unsigned | size
| ) |  |

Definition at line 228 of file gzlib.c.

References GZ_READ, GZ_WRITE, and NULL.

void ZEXPORT gzclearerr | ( | gzFile | file | ) |

Definition at line 461 of file gzlib.c.

References gz_error(), GZ_READ, GZ_WRITE, NULL, and Z_OK.

gzFile ZEXPORT gzdopen | ( | int | fd,
|  | const char * | mode
| ) |  |

Definition at line 212 of file gzlib.c.

References free, gz_open(), malloc, and NULL.

int ZEXPORT gzeof | ( | gzFile | file | ) |

Definition at line 423 of file gzlib.c.

References GZ_READ, GZ_WRITE, and NULL.

const char* ZEXPORT gzerror | ( | gzFile | file,
|  | int * | errnum
| ) |  |

Definition at line 441 of file gzlib.c.

References GZ_READ, GZ_WRITE, and NULL.

z_off_t ZEXPORT gzoffset | ( | gzFile | file | ) |

Definition at line 413 of file gzlib.c.

References gzoffset64(), ret, z_off64_t, and z_off_t.

z_off64_t ZEXPORT gzoffset64 | ( | gzFile | file | ) |

Definition at line 390 of file gzlib.c.

References GZ_READ, GZ_WRITE, LSEEK, NULL, SEEK_CUR, and z_off64_t.

Referenced by gzoffset().

gzFile ZEXPORT gzopen | ( | char * | path,
|  | const char * | mode
| ) |  | const

Definition at line 196 of file gzlib.c.

References gz_open().

gzFile ZEXPORT gzopen64 | ( | char * | path,
|  | const char * | mode
| ) |  | const

Definition at line 204 of file gzlib.c.

References gz_open().

int ZEXPORT gzrewind | ( | gzFile | file | ) |

Definition at line 253 of file gzlib.c.

References GZ_READ, gz_reset(), LSEEK, NULL, SEEK_SET, and Z_OK.

z_off_t ZEXPORT gzseek | ( | gzFile | file,
|  | z_off_t | offset,
|  | int | whence
| ) |  |

Definition at line 351 of file gzlib.c.

References gzseek64(), ret, z_off64_t, and z_off_t.

z_off64_t ZEXPORT gzseek64 | ( | gzFile | file,
|  | z_off64_t | offset,
|  | int | whence
| ) |  |

Definition at line 275 of file gzlib.c.

References COPY, GT_OFF, gz_error(), GZ_READ, GZ_WRITE, gzrewind(), LSEEK, NULL, ret, SEEK_CUR, SEEK_SET, z_off64_t, and Z_OK.

Referenced by gzseek().

z_off_t ZEXPORT gztell | ( | gzFile | file | ) |

Definition at line 380 of file gzlib.c.

References gztell64(), ret, z_off64_t, and z_off_t.

z_off64_t ZEXPORT gztell64 | ( | gzFile | file | ) |

Definition at line 363 of file gzlib.c.

References GZ_READ, GZ_WRITE, and NULL.

Referenced by gztell().

local void gz_reset OF | ( | (gz_statep) |  | ) |

local gzFile gz_open OF | ( | (const char *, int, const char *) |  | ) |